org.eclipse.viatra.query.runtime.matchers.tuple

## Class VolatileTuple

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple
  - - org.eclipse.viatra.query.runtime.matchers.tuple.VolatileTuple

- All Implemented Interfaces:
    ITuple
  Direct Known Subclasses:
    MatchingFrame, VolatileMaskedTuple

      public abstract class VolatileTuple
      extends AbstractTuple

  Mutable tuple without explicit modification commands. In practical terms, the values stored in a volatile tuple can be changed without any notification.
  Since:
    1.7

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VolatileTuple()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `Tuple` | `toImmutable()` Creates an immutable tuple from the values stored in the tuple.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple

      `doCalcHash, getDistinctElements, getElements, internalEquals, invertIndex, invertIndexWithMupliplicity, raiseIndexingError, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.matchers.tuple.ITuple

      `get, getSize`

- - ### Constructor Detail

    - #### VolatileTuple

          public VolatileTuple()

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toImmutable

          public Tuple toImmutable()

      Creates an immutable tuple from the values stored in the tuple. The created tuple will not be updated when the current tuple changes.